package com.tzld.piaoquan.recommend.server.xxl;

import com.tzld.piaoquan.recommend.server.service.flowpool.FlowPoolService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class FlowPoolJob {

    @Autowired
    private FlowPoolService flowPoolService;


    @XxlJob("syncDouHotFlowPoolVideo")
    public ReturnT<String> syncDouHotFlowPoolVideo(String params) {
        try {
            flowPoolService.syncDouHotFlowPoolVideo();
        }catch (Exception e){
            log.error("[syncDouHotFlowPoolVideo error]", e);
        }
        return ReturnT.SUCCESS;
    }
}
